import { jsx } from "react/jsx-runtime";
import { CurrencyEurIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyEur = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CurrencyEur", ...props, children: /* @__PURE__ */ jsx(CurrencyEurIcon, { weight: variant }) });
  }
);
CurrencyEur.displayName = "CurrencyEur";
Object.assign(CurrencyEur, { isGdsIcon: true });
export {
  CurrencyEur
};
